%global snapver    20160115
%global snap %{?snapver}git

Name:       x2x
Version:    1.30
Release:    2.%{?snap}%{?dist}
Summary:    Allows mouse and keyboard on one X display to control another X display

License:    MIT/BSD
URL:        https://github.com/dottedmag/x2x.git

Source0:    %{name}-%{version}-%{?snapver}.tar.gz
Patch1:     x2x-configure.patch


BuildRequires: libXext-devel
BuildRequires: libXtst-devel
BuildRequires: xorg-x11-proto-devel
BuildRequires: autoconf
BuildRequires: automake


%description
%{name} allows the keyboard, mouse on one X display to be used to control
another X display.


%prep
%setup -q -c %{name}-%{version}-%{?snapver}

%patch1 -p1 -b .configure

%build
./bootstrap.sh
./configure
make %{?_smp_mflags} LDFLAGS+=" -lXext -lXtst -lX11"

%install
make install \
    DESTDIR=%{buildroot} prefix="%{_prefix}"

    rm -rf %{buildroot}/%{_prefix}/local

%files

%{_bindir}/*
%doc %{_defaultdocdir}/%{name}/*
%license COPYING
%{_mandir}/man1/x2x.1*

%changelog
* Wed Feb 28 2018 Matej Muzila <mmuzila@redhat.com> - 1.30-2.20160115git
- Rebuild for new fedora releases

* Sat Jan 16 2016 Matej Muzila <mmuzila@redhat.com> - 1.30-1.20160115git
- Packaged x2x



